Đến nội dung


Hình ảnh
- - - - -

Lisp chia hoặc nhân text


  • Please log in to reply
4 replies to this topic

#1 ccc123

ccc123

    biết vẽ line

  • Advance Member
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 April 2009 - 11:11 AM

Trên bản vẽ cad mình có n text dạng số. muốn chia n text đó cho 1 số bất kỳ. các bạn giúp mình đoạn lisp đó với
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 10 April 2009 - 11:16 AM

Trên bản vẽ cad mình có n text dạng số. muốn chia n text đó cho 1 số bất kỳ. các bác giúp em đoạn lisp đó với

Bạn chịu khó tìm kiếm một chút đi. Trên diễn đàn đã bàn rồi đấy.
  • 0

#3 ccc123

ccc123

    biết vẽ line

  • Advance Member
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 April 2009 - 11:19 AM

Bạn chịu khó tìm kiếm một chút đi. Trên diễn đàn đã bàn rồi đấy.

Mình tìm mãi rồi nhưng ko thấy đâu cả. chi có lisp cộng text thôi. bạn post cho mình với nhé
  • 0

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 April 2009 - 05:34 PM

Trên bản vẽ cad mình có n text dạng số. muốn chia n text đó cho 1 số bất kỳ. các bạn giúp mình đoạn lisp đó với

Hãy post các dạng text mà bạn có trên bản vẽ, các dạng text mà bạn muốn chuyển đổi.
Trong lisp có các hàm (atoi) (atof) có thể chuyển một chuỗi thành một số, không biết có đúng ý bạn hay không???
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 tuanduc

tuanduc

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2010 - 03:19 PM

[quote name='ccc123' date='Apr 10 2009, 11:11' post='55280']
Trên bản vẽ cad mình có n text dạng số. muốn chia n text đó cho 1 số bất kỳ. các bạn giúp mình đoạn lisp đó với
đây là lisp nhân n text cho 1 số bất kỳ. Ko biết có đúng ý bạn hay ko. Đây là mình cop trên mạng đó.
(defun c:nhan( / tmp)
(princ "\nNHAN © CADViet.com")
(while (not tmp)
(setq tmp heso
tmp (getreal (cond (tmp (strcat "\nHay nhap he so <" (rtos tmp 2 2)">: "))
(t "\nChua co he so, hay nhap he so: ")
)
)
)
(if tmp (setq heso tmp)
(if heso (setq tmp heso))
)
)
(entmod (subst (cons 1 (vl-string-trim "." (vl-string-trim "0" (rtos (* heso (atof (cdr (assoc 1 (entget (car (entsel "\nHay pick vao gia tri can nhan: "))))))))))) (assoc 1 (setq tt (entget (car (entsel "\nHay pick vao so can sua: "))))) tt))
(princ)
)
(princ "\nsu dung lenh NHAN de bat dau. Day la freelisp tu www.cadviet.com")
(princ)
  • 0